      real CINTG,TENDG,TINITG,ABSERG,RELERG,MWTG,SOLG,ESOLG,PKG,EPKG
     -,KOCG,KOWG,KPBG,KPDOCG,KPSG,KIECG,KVOG,HENRYG,EHENG,VAPRG,EVPRG
     -,QUANTG,KDPG,RFLATG,ABSORG,LAMAXG,KAHG,EAHG,KNHG,ENHG,KBHG,EBHG
     -,KOXG,EOXG,K1O2G,EK1O2G,KREDG,EREDG,KBACWG,QTBAWG,KBACSG,QTBASG
     -,ADVPRG,XSTURG,CHARLG,DSPG,SUSEDG,BULKDG,FROCG,CECG,AECG,PCTWAG
     -,TCELG,PHG,POHG,OXRADG,REDAGG,BACPLG,BNBACG,PLMASG,BNMASG,KO2G
     -,DOCG,CHLG,CLOUDG,DFACG,DISO2G,OZONEG,VOLG,AREAG,DEPTHG,XSAG,LENGG
     -,WIDTHG,RAING,EVAPG,LATG,LONGG,WINDG,ELEVG,RHUMG,ATURBG,STFLOG
     -,STSEDG,NPSFLG,NPSEDG,SEEPSG,STRLDG,NPSLDG,PCPLDG,DRFLDG,PRBENG
     -,SEELDG,IMASSG,YIELDG,EAYLDG
      integer FIXFIL,IUNITG,MCHEMG,KCHEM,MODEG,PRSWG,MONTHG,NYEARG
     -,YEAR1G,TCODEG,SPFLGG,KOUNT,JFRADG,ITOADG,JTURBG,ITURBG,ISEGG
     -,ICHEMG,IMONG,IDAYG,IYEARG,CHPARG,TPRODG,NPROCG,RFORMG
      character*1 CHEMNA,ECONAM,LOADNM,PRODNM,TYPEG,AIRTYG
      common /NAMEG/ CHEMNA(50,NCHEM),ECONAM(50),LOADNM(50),PRODNM(50)
     -,TYPEG(NPX),AIRTYG(MAXDAT)
      common /CONTRG/ CINTG,TENDG,TINITG,ABSERG,RELERG,FIXFIL,IUNITG
     -,MCHEMG,KCHEM,MODEG,PRSWG,MONTHG,NYEARG,YEAR1G,TCODEG
      common /PCHEMG/ MWTG(NCHEM),SOLG(7,NCHEM),ESOLG(7,NCHEM)
     -,PKG(6,NCHEM),EPKG(6,NCHEM),SPFLGG(7,NCHEM)
      common /PARTG/ KOCG(NCHEM),KOWG(NCHEM),KPBG(7,NCHEM)
     -,KPDOCG(7,NCHEM),KPSG(7,NCHEM),KIECG(6,NCHEM)
      common /VOLATG/ KVOG(NCHEM),HENRYG(NCHEM),EHENG(NCHEM)
     -,VAPRG(NCHEM),EVPRG(NCHEM)
      common /DPHOTG/ QUANTG(3,7,NCHEM),KDPG(7,NCHEM),RFLATG(7,NCHEM)
     -,ABSORG(46,7,NCHEM),LAMAXG(7,NCHEM)
      common /HYDROG/ KAHG(3,7,NCHEM),EAHG(3,7,NCHEM)
     -,KNHG(3,7,NCHEM),ENHG(3,7,NCHEM),KBHG(3,7,NCHEM)
     -,EBHG(3,7,NCHEM)
      common /REDOXG/ KOXG(3,7,NCHEM),EOXG(3,7,NCHEM)
     -,K1O2G(3,7,NCHEM),EK1O2G(3,7,NCHEM),KREDG(3,7,NCHEM)
     -,EREDG(3,7,NCHEM)
      common /BIOLYG/ KBACWG(4,7,NCHEM),QTBAWG(4,7,NCHEM)
     -,KBACSG(4,7,NCHEM),QTBASG(4,7,NCHEM)
      common /TRPORT/ ADVPRG(NCON),XSTURG(NCON),CHARLG(NCON)
     -,DSPG(NCON,MAXDAT),KOUNT,JFRADG(NCON),ITOADG(NCON)
     -,JTURBG(NCON),ITURBG(NCON)
      common /SEDMG/ SUSEDG(NPX,MAXDAT),BULKDG(NPX,MAXDAT)
     -,FROCG(NPX,MAXDAT),CECG(NPX,MAXDAT),AECG(NPX,MAXDAT)
     -,PCTWAG(NPX,MAXDAT)
      common /QUALG/ TCELG(NPX,MAXDAT),PHG(NPX,MAXDAT),POHG(NPX,MAXDAT)
     -,OXRADG(MAXDAT),REDAGG(NPX,MAXDAT),BACPLG(NPX,MAXDAT)
     -,BNBACG(NPX,MAXDAT),PLMASG(NPX,MAXDAT),BNMASG(NPX,MAXDAT)
     -,KO2G(NPX,MAXDAT)
      common /PHOTOG/ DOCG(NPX,MAXDAT),CHLG(NPX,MAXDAT),CLOUDG(MAXDAT)
     -,DFACG(NPX,MAXDAT),DISO2G(NPX,MAXDAT),OZONEG(MAXDAT)
      common /GEOMT/ VOLG(NPX),AREAG(NPX),DEPTHG(NPX),XSAG(NPX)
     -,LENGG(NPX),WIDTHG(NPX)
      common /CLIMG/ RAING(MAXDAT),EVAPG(NPX,MAXDAT),LATG,LONGG
     -,WINDG(NPX,MAXDAT),ELEVG,RHUMG(MAXDAT),ATURBG(MAXDAT)
      common /FLOWG/ STFLOG(NPX,MAXDAT),STSEDG(NPX,MAXDAT)
     -,NPSFLG(NPX,MAXDAT),NPSEDG(NPX,MAXDAT),SEEPSG(NPX,MAXDAT)
      common /LOADSG/ STRLDG(NPX,NCHEM,MAXDAT),NPSLDG(NPX,NCHEM,MAXDAT)
     -,PCPLDG(NPX,NCHEM,MAXDAT),DRFLDG(NPX,NCHEM,MAXDAT),PRBENG
     -,SEELDG(NPX,NCHEM,MAXDAT),IMASSG(MAXMAS),ISEGG(MAXMAS)
     -,ICHEMG(MAXMAS),IMONG(MAXMAS),IDAYG(MAXMAS),IYEARG(MAXMAS)
      common /SPECTR/ YIELDG(NTRAN),EAYLDG(NTRAN),CHPARG(NTRAN)
     -,TPRODG(NTRAN),NPROCG(NTRAN),RFORMG(NTRAN)
